Subject: [bug#79004] Request for merging "rust-team" branch

From: Hilton Chain <[email-masked]>
Date: Thu, 21 Aug 2025 18:33:27 +0800

Andreas Enge <[email-masked]> writes:

> The branch is essentially built, 228 packages missing on x86_64, 1 on i686,
> 86 on aarch64; nothing peculiar in the numbers.
>
> But I tend to overlook that this may hide important leaf packages that
> do not build... In my own home profile, this concerned librewolf, but
> this one has been repaired by the first master commit after which we had
> rebased. So for good measure, I have rebased once more on commit
>    824989b0d47b5cd12dfc6f3d6ffc836319ccf287 .

Seeing through the logs, the failures seem to be on the QA side.  I have
no issue building these broken packages on x86_64-linux.

I haven't built all of them on aarch64-linux, but at least emacs succeeds.

> I have forced a new evaluation by the data service:
>    https://data.qa.guix.gnu.org/revision/1d0877d7cde8580df340bb5a01a47880e4dd1a52
>
> Please feel free to push if you deem the branch ready.

Thanks, I'm going to merge the branch.